curl --request GET \
--url https://public-api.stora.co/2025-09/coupons/{coupon_id} \
--header 'Authorization: Bearer <token>'{
"coupon": {
"id": "cpn_bdc9397d53d9bfc3",
"amount": {
"amount": 500,
"currency": "GBP",
"formatted": "£5.00"
},
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": null,
"code": "5OFF",
"created_at": "2025-02-22T14:41:00Z",
"duration": "forever",
"max_redemptions": null,
"months": null,
"name": "£5.00 off",
"public": false,
"title": null,
"type": "amount",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Retrieve a specific coupon by its ID.
Required authorization scope: public.coupon:read
curl --request GET \
--url https://public-api.stora.co/2025-09/coupons/{coupon_id} \
--header 'Authorization: Bearer <token>'{
"coupon": {
"id": "cpn_bdc9397d53d9bfc3",
"amount": {
"amount": 500,
"currency": "GBP",
"formatted": "£5.00"
},
"auto_apply_to": {
"products": false,
"protections": false,
"subscriptions": true,
"unit_types": false
},
"billing_period": null,
"code": "5OFF",
"created_at": "2025-02-22T14:41:00Z",
"duration": "forever",
"max_redemptions": null,
"months": null,
"name": "£5.00 off",
"public": false,
"title": null,
"type": "amount",
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Bearer Token necessary to use API
The ID of the coupon to retrieve
Was this page helpful?